System.Web 2.0.0.0 System.Configuration.ConfigurationElementCollection System.Configuration.ConfigurationCollection(typeof(System.Web.Configuration.CodeSubDirectory), CollectionType=System.Configuration.ConfigurationElementCollectionType.BasicMap)

The defines an ordered collection of subdirectories containing files compiled at run time. You can have any number of subdirectories. This collection refers to the codeSubDirectories element of the compilation section of the configuration file. The collection will only provide the items defined in the root Web.config or higher. This collection is a construct that allows easy access to the compilation information it contains.

Represents a collection of objects. This class cannot be inherited.

- Constructor
  To be added.

  Initializes a new instance of the class.

  2.0.0.0
- Method
  System.Void ``

  Adds a object to the collection. If the assembly object is not initialized with assembly information, an exception is thrown. If the assembly object already exists in the collection, the statement is ignored.

  Adds a object to the .

  A string value specifying the reference. 2.0.0.0
- Method
  System.Void To be added.

  Removes all items from the collection

  2.0.0.0
- Property
  System.Configuration.ConfigurationElementCollectionType To be added. To be added.

  Gets the type of the configuration collection.

  2.0.0.0
- Method
  System.Configuration.ConfigurationElement To be added. To be added. To be added. 2.0.0.0
- Property
  System.String To be added. To be added. To be added. 2.0.0.0
- Method
  System.Object `` To be added. To be added. To be added. To be added. 2.0.0.0
- Property
  System.Web.Configuration.CodeSubDirectory `` To be added. To be added. To be added. To be added. 2.0.0.0
- Property
  System.Configuration.ConfigurationPropertyCollection To be added. To be added. To be added. 2.0.0.0
- Method
  System.Void `` To be added.

  Removes the specified item from the collection.

  The name of the directory to remove. 2.0.0.0
- Method
  System.Void `` To be added.

  Removes the item at the specified index in the collection.

  The index position of the item to be removed. 2.0.0.0